.custom-cards-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    width: 90%;
    max-width: 1200px;
}

.custom-card {
    background-color: #4CAF50;
    color: white;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    text-align: center;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s, color 0.3s;
}

.custom-icon-container {
    position: absolute;
    top: -20px;
    right: -20px;
    background-color: #333;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.3s;
}

.custom-icon-container i {
    position: absolute;
    top: 28px;
    left: 14px;
    font-size: 1.2rem;
}

.custom-icon {
    width: 30px;
    height: 30px;
    filter: invert(1);
    transition: filter 0.3s;
}

.custom-card-title {
    margin-top: 40px;
    font-size: 22px;
}

.custom-card-text {
    font-size: 16px;
    margin: 10px 0;
}

.custom-card-link {
    font-size: 16px;
    margin: 10px 0;
    color: #fff;
    cursor: pointer;
}

.custom-card:hover .custom-card-link {
    color: #4CAF50;
}

.custom-card:hover {
    background-color: white;
    color: #4CAF50;
    cursor: grabbing;
}

.custom-card:hover .custom-icon-container {
    background-color: #4CAF50;
}

.custom-card:hover .custom-icon-container i {
    color: #fff;
}

.custom-card:hover .custom-icon {
    filter: invert(0);
}

@media (max-width: 600px) {
    .custom-card-title {
        font-size: 18px;
    }
    .custom-card-text {
        font-size: 14px;
    }
    .custom-icon-container {
        width: 50px;
        height: 50px;
    }
    .custom-icon {
        width: 25px;
        height: 25px;
    }
}